%global fontname oflb-wirewyrm
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        001.000
Release:        1.20120128%{?dist}
Summary:        Ultra-light serif font
License:        OFL

URL:            http://openfontlibrary.org/en/font/wirewyrm
Source0:        http://openfontlibrary.org/assets/downloads/wirewyrm/518fb61f72ec00041aefb117247406b9/wirewyrm.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
This is an ultra-light serif font, with slab-serifs,
It was made by stroking path with an elliptical brush.

%prep
%setup -q -c %{name}-%{version}

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *sfd
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed May 13 2015 endopaxi <endopaxi@gmail.com> - 001.000-1.20120128
- Initial version
- Add metainfo file to show this font in gnome-software

